from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XPasteBroadcaster(XInterface, Protocol):
    def addPasteEventListener(self, xListener: XPasteListener) -> None: ...
    def removePasteEventListener(self, xListener: XPasteListener) -> None: ...
